## visad.data.hdfeos
Class HdfeosField

    java.lang.Object
      visad.data.hdfeos.HdfeosData
          visad.data.hdfeos.HdfeosField

public class HdfeosField
extends HdfeosData

Field Summary
`(package private) HdfeosDomain` `domain`
`(package private) FunctionType` `mathtype`
`(package private) HdfeosData` `range`
`(package private) EosStruct` `struct`

Constructor Summary
`(package private)` `HdfeosField(HdfeosDomain domain, HdfeosData range)`

Method Summary
`DataImpl` `getAdaptedData()`
`DataImpl` `getAdaptedData(int[] indexes)`
`DataImpl` `getData()`
`DataImpl` `getData(int[] indexes)`
`MathType` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    HdfeosDomain domain

### range

    HdfeosData range

### mathtype

    FunctionType mathtype

### struct

    EosStruct struct

Constructor Detail

### HdfeosField

    HdfeosField(HdfeosDomain domain,
                HdfeosData range)
          throws VisADException,
                 RemoteException

Method Detail

### getType

    public MathType getType()
                     throws VisADException

  Specified by:
    `getType` in class `HdfeosData`
  Throws:
    `VisADException`

### getData

    public DataImpl getData()
                     throws VisADException,
                            RemoteException

  Specified by:
    `getData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getData

    public DataImpl getData(int[] indexes)
                     throws VisADException,
                            RemoteException

  Specified by:
    `getData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData()
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData(int[] indexes)
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`